Analytics & OperationsAnalytics
Track commerce analytics events
Records commerce events from the storefront — product views, add to cart, checkout steps — that feed the merchant's analytics.
POST
/v1/analytics/eventsRecords commerce events from the storefront — product views, add to cart, checkout steps — that feed the merchant's analytics.
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/analytics/events" \ -H "x-Store-Domain: my-store" \ -H "Content-Type: application/json" \ -d '{ "events": [ { "type": "example", "visitorId": "7204558912004325301", "sessionId": "7204558912004325301", "eventId": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821", "occurredAt": "2026-08-01T15:30:00Z", "productKey": "example", "productId": "7204558912004325301", "cartId": "7204558912004325301" } ] }'{ "accepted": 1}